GET api/contractapi/contract/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

ContractViewModel
NameDescriptionTypeAdditional information
washing_processes

Collection of WashingProcessViewModel

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

certificate_type_id

globally unique identifier

Required

code

integer

None.

id

globally unique identifier

None.

internal_reference

string

String length: inclusive between 0 and 50

item_wash_max

integer

None.

language_code

string

Required

String length: inclusive between 0 and 10

name

string

Required

String length: inclusive between 0 and 100

packaging_type_id

globally unique identifier

Required

packing_type_id

globally unique identifier

Required

particles_control

boolean

Required

peremption_month

integer

None.

peremption_print_cleanroom

boolean

Required

peremption_print_date

boolean

Required

peremption_print_expedition

boolean

Required

permanent_management

boolean

Required

pool_id

globally unique identifier

None.

remark

string

None.

site_customer_id

globally unique identifier

Required

sorting_type_id

globally unique identifier

Required

type

string

Required

String length: inclusive between 0 and 1

Response Formats

application/json, text/json

Sample:
{
  "washing_processes": [
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "8df6e7a8-e03c-4737-af63-0a7d1bbd022c",
      "site_id": "831ce34e-bde1-4298-b73d-b7f3d4bf06c2"
    },
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "8df6e7a8-e03c-4737-af63-0a7d1bbd022c",
      "site_id": "831ce34e-bde1-4298-b73d-b7f3d4bf06c2"
    }
  ],
  "selected_sticker_id": "1b029df2-1d3e-48e2-a82b-3f7187e9ed7c",
  "selected_nameplate_id": "74f3339c-c1c2-472d-ac80-11ae29c66366",
  "active": true,
  "certificate_type_id": "44452c9a-f50a-4968-8a73-c68dc9068f70",
  "code": 1,
  "id": "049aa088-66c1-47cd-92c6-73d460cb3f67",
  "internal_reference": "sample string 4",
  "item_wash_max": 1,
  "language_code": "sample string 5",
  "name": "sample string 6",
  "packaging_type_id": "b2686a37-d60f-4501-a559-c4d07f170c94",
  "packing_type_id": "4b428e3d-233a-485e-ad3b-337d89da7bf7",
  "particles_control": true,
  "peremption_month": 1,
  "peremption_print_cleanroom": true,
  "peremption_print_date": true,
  "peremption_print_expedition": true,
  "permanent_management": true,
  "pool_id": "511b8ebd-e4b2-469a-9dab-2d0960f6c8e9",
  "remark": "sample string 14",
  "site_customer_id": "3c2c7252-1298-458b-9152-1adc885d7154",
  "sorting_type_id": "f7f2f323-f6f5-4b06-b04c-4d02d713842e",
  "type": "sample string 17"
}

application/xml, text/xml

Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <certificate_type_id>44452c9a-f50a-4968-8a73-c68dc9068f70</certificate_type_id>
  <code>1</code>
  <id>049aa088-66c1-47cd-92c6-73d460cb3f67</id>
  <internal_reference>sample string 4</internal_reference>
  <item_wash_max>1</item_wash_max>
  <language_code>sample string 5</language_code>
  <name>sample string 6</name>
  <packaging_type_id>b2686a37-d60f-4501-a559-c4d07f170c94</packaging_type_id>
  <packing_type_id>4b428e3d-233a-485e-ad3b-337d89da7bf7</packing_type_id>
  <particles_control>true</particles_control>
  <peremption_month>1</peremption_month>
  <peremption_print_cleanroom>true</peremption_print_cleanroom>
  <peremption_print_date>true</peremption_print_date>
  <peremption_print_expedition>true</peremption_print_expedition>
  <permanent_management>true</permanent_management>
  <pool_id>511b8ebd-e4b2-469a-9dab-2d0960f6c8e9</pool_id>
  <remark>sample string 14</remark>
  <site_customer_id>3c2c7252-1298-458b-9152-1adc885d7154</site_customer_id>
  <sorting_type_id>f7f2f323-f6f5-4b06-b04c-4d02d713842e</sorting_type_id>
  <type>sample string 17</type>
  <selected_nameplate_id>74f3339c-c1c2-472d-ac80-11ae29c66366</selected_nameplate_id>
  <selected_sticker_id>1b029df2-1d3e-48e2-a82b-3f7187e9ed7c</selected_sticker_id>
  <washing_processes>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>8df6e7a8-e03c-4737-af63-0a7d1bbd022c</id>
      <site_id>831ce34e-bde1-4298-b73d-b7f3d4bf06c2</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>8df6e7a8-e03c-4737-af63-0a7d1bbd022c</id>
      <site_id>831ce34e-bde1-4298-b73d-b7f3d4bf06c2</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
  </washing_processes>
</contract>